> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Simli Auto Session Token

> Create a temporary session token for Simli Auto Sessions



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml post /auto/token
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /auto/token:
    post:
      summary: Create Simli Auto Session Token
      description: Create a temporary session token for Simli Auto Sessions
      operationId: createPipecatSessionToken_auto_token_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokenRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
components:
  schemas:
    TokenRequest:
      properties:
        expiryStamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expirystamp
          default: -1
        simliAPIKey:
          type: string
          title: Simliapikey
        llmAPIKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Llmapikey
          default: ''
        ttsAPIKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Ttsapikey
          default: ''
        createTranscript:
          type: boolean
          title: Createtranscript
          default: false
        originAllowList:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
          title: Originallowlist
          default: []
      type: object
      required:
        - simliAPIKey
      title: TokenRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````